function da_bode(k);
%
%da_bode(k)   Plots the bode diagram for a direct adaptive
%controller with the transfer function S/R, at a given iteration k. 
%
global R S
n=length(R);
if (k<1) | (k>n)
  disp(['k must be between 1 and ' num2str(n)'.']);
else 
  figure
  set(gcf,'NumberTitle','off','Name',['Bode plot of Direct Adaptive Controller - k=' num2str(k)]); 
  bode(tf(S(k,:),R(k,:),1));
end